Skip to main content
POST
/
device
/
settings
Update Device Settings
curl --request POST \
  --url https://api.getmelody.io/device/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_name": "My Awesome Device",
  "wifi_enabled": true,
  "ble_enabled": true,
  "travel_mode": false,
  "intro_label": "Hello World!"
}
'
{
  "device_name": "My Awesome Device",
  "wifi_enabled": true,
  "ble_enabled": true,
  "travel_mode": true,
  "intro_label": "Welcome!"
}

Authorizations

Authorization
string
header
required

Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.

Body

application/json
device_name
string
required

The name of the device.

Example:

"My Awesome Device"

wifi_enabled
boolean
required

Enable/disable WiFi on device.

Example:

true

ble_enabled
boolean
required

Enable/disable BLE on device.

Example:

true

travel_mode
boolean
required

If enabled device is powered on after 3 seconds mode button hold. If disabled - after 500 ms.

Example:

true

intro_label
string
required

String shown after "Hello!" label on intro screen.

Example:

"Welcome!"

Response

200 - application/json

Updated Device Settings

device_name
string
required

The name of the device.

Example:

"My Awesome Device"

wifi_enabled
boolean
required

Enable/disable WiFi on device.

Example:

true

ble_enabled
boolean
required

Enable/disable BLE on device.

Example:

true

travel_mode
boolean
required

If enabled device is powered on after 3 seconds mode button hold. If disabled - after 500 ms.

Example:

true

intro_label
string
required

String shown after "Hello!" label on intro screen.

Example:

"Welcome!"